Creates a URL override of one BriteCore URL path with an external one
Code
Parameters----------json_obj : dict A JSON Object containing: * url: The BriteCore URL you wish to replace. * override: The External URL of the content you want to display instead. * http_method (optional): The appropriate HTTP method of the override URL (only GET or POST supported). "GET" is the default. * shared_secret (optional): An optional "secret" value that will be sent back to the override URL upon request. This can act as a security layer to ensure authentic BriteCore requests. * category (optional): Sets a category for easy manipulation of multiple overrides. :: {"url": "/britecore/policies/list", "override": "http://britecore-customui.s3-website-us-east-1.amazonaws.com/", "http_method": "POST", "shared_secret": "2bc13c35e9e8fd15c2cfd3a1dcf71ff014d3579c038b4645855ad902", "category": "Custom Policies"}Returns-------json_obj : dict A JSON Object containing: * success: true/false based on the success of the addition. * message (optional): Returned if something goes wrong.
createURLOverride › Request Body
json_obj
object
createURLOverride › Responses
200
success
boolean
message
string[]
data
object
deleteURLOverride
POST
/api/v1/custom_ui/deleteURLOverride
Deletes a URL override of one BriteCore URL paths
Code
Parameters----------json_obj : dict A JSON object containing: * url: The Override URL you wish to url. :: {"url": "/britecore/policies/list"}Returns-------json_obj : dict A JSON Object containing: * success: true/false based on the success of the deletion. * message (optional): Returned if something goes wrong.
deleteURLOverride › Request Body
json_obj
object
deleteURLOverride › Responses
200
success
boolean
message
string[]
data
object
retrieveURLOverrides
POST
/api/v1/custom_ui/retrieveURLOverrides
Retrieves all External URL overrides
Code
Parameters----------Returns-------json_obj : list A JSON List containing JSON Objects: * success: true/false based on the success of the deletion. * message (optional): Returned if something goes wrong. :: [{"url": "/britecore/policies/list", "override": "http://britecore-customui.s3-website-us-east-1.amazonaws.com/", "http_method": "POST", "enabled": true, "shared_secret": "2bc13c35e9e8fd15c2cfd3a1dcf71ff014d3579c038b4645855ad902", "category": null}, {"url": "/britecore/claims/list", "override": "http://google.com/", "http_method": "GET", "enabled": false, "shared_secret": null, "category": "Claims"}]
retrieveURLOverrides › Request Body
retrieveURLOverrides › Responses
200
success
boolean
message
string[]
data
object
updateURLOverride
POST
/api/v1/custom_ui/updateURLOverride
Update an existing URL override of one BriteCore URL paths
Code
Parameters----------json_obj : dict A JSON object containing: * url: The Override URL you wish to update. * override (optional): External override URL * enabled (optional): Whether or not to enable the given URL. If disabled, the BriteCore URL will operate normally and will not be overridden. * http_method (optional): The appropriate HTTP method of the override URL (only GET or POST supported). "GET" is the default. * shared_secret (optional): An optional "secret" value that will be sent back to the override URL upon request. This can act as a security layer to ensure authentic BriteCore requests. * category (optional): Sets a category for easy manipulation of multiple overrides. :: {"url": "/britecore/policies/list", "enabled": false}Returns-------json_obj : dict A JSON Object containing: * success: true/false based on the success of the update. * message (optional): Returned if something goes wrong.